@echo off
echo.
echo Using FM0017.wu
if exist work_unit.sah del work_unit.sah >NUL
copy testWUs\FM0017.wu work_unit.sah >NUL
if exist RefApp\work_unit.sah del RefApp\work_unit.sah >NUL
copy testWUs\FM0017.wu RefApp\work_unit.sah >NUL
if exist init_data.xml del init_data.xml >NUL
copy proto_init_data.xml init_data.xml >NUL
if exist RefApp\init_data.xml del RefApp\init_data.xml >NUL
copy proto_init_data.xml RefApp\init_data.xml >NUL
echo ------------ >> testData\elapsed.txt
echo Seconds for FM0017.wu >> testData\elapsed.txt
echo ------------
echo Testing KWSN_2.4V_SSE_MB_FFTW.exe
if exist state.sah del state.sah >NUL
if exist result.sah del result.sah >NUL
NOW hh:mm:ss
echo New run with KWSN_2.4V_SSE_MB_FFTW.exe started..>>testData\runtime-KWSN_2.4V_SSE_MB_FFTW.exeFM0017.wu.txt
now hh:mm:ss >>testData\runtime-KWSN_2.4V_SSE_MB_FFTW.exeFM0017.wu.txt
echo KWSN_2.4V_SSE_MB_FFTW.exe: >> testData\elapsed.txt
stopwatch start > time.dat
start /w KWSN_2.4V_SSE_MB_FFTW.exe -verb -nog
NOW hh:mm:ss
now hh:mm:ss >>testData\runtime-KWSN_2.4V_SSE_MB_FFTW.exeFM0017.wu.txt
stopwatch stop < time.dat >> testData\elapsed.txt
echo ------------ >>testData\runtime-KWSN_2.4V_SSE_MB_FFTW.exeFM0017.wu.txt
echo Finished, copying results...
copy state.sah testData\state.sah.KWSN_2.4V_SSE_MB_FFTW.exeFM0017.wu.txt >NUL
copy result.sah testData\result.sah.KWSN_2.4V_SSE_MB_FFTW.exeFM0017.wu.txt >NUL
echo ------------
echo Done with run.
echo Next please!
echo ------------
echo Testing KWSN_2.4V_SSE_MB.exe
if exist state.sah del state.sah >NUL
if exist result.sah del result.sah >NUL
NOW hh:mm:ss
echo New run with KWSN_2.4V_SSE_MB.exe started..>>testData\runtime-KWSN_2.4V_SSE_MB.exeFM0017.wu.txt
now hh:mm:ss >>testData\runtime-KWSN_2.4V_SSE_MB.exeFM0017.wu.txt
echo KWSN_2.4V_SSE_MB.exe: >> testData\elapsed.txt
stopwatch start > time.dat
start /w KWSN_2.4V_SSE_MB.exe -verb -nog
NOW hh:mm:ss
now hh:mm:ss >>testData\runtime-KWSN_2.4V_SSE_MB.exeFM0017.wu.txt
stopwatch stop < time.dat >> testData\elapsed.txt
echo ------------ >>testData\runtime-KWSN_2.4V_SSE_MB.exeFM0017.wu.txt
echo Finished, copying results...
copy state.sah testData\state.sah.KWSN_2.4V_SSE_MB.exeFM0017.wu.txt >NUL
copy result.sah testData\result.sah.KWSN_2.4V_SSE_MB.exeFM0017.wu.txt >NUL
echo ------------
echo Done with run.
echo Next please!
echo ------------
echo Testing reference, setiathome_5.27_windows_intelx86.exe
if exist RefApp\state.sah del RefApp\state.sah >NUL
if exist RefApp\result.sah del RefApp\result.sah >NUL
NOW hh:mm:ss
echo New run with setiathome_5.27_windows_intelx86.exe started..>>testData\runtime-setiathome_5.27_windows_intelx86.exeFM0017.wu.txt
now hh:mm:ss >>testData\runtime-setiathome_5.27_windows_intelx86.exeFM0017.wu.txt
echo setiathome_5.27_windows_intelx86.exe: >> testData\elapsed.txt
stopwatch start > time.dat
cd RefApp
start /w setiathome_5.27_windows_intelx86.exe -verb -nog
cd ..\
NOW hh:mm:ss
now hh:mm:ss >>testData\runtime-setiathome_5.27_windows_intelx86.exeFM0017.wu.txt
stopwatch stop < time.dat >> testData\elapsed.txt
echo ------------ >>testData\runtime-setiathome_5.27_windows_intelx86.exeFM0017.wu.txt
echo Finished, copying results...
copy RefApp\state.sah testData\state.sah.setiathome_5.27_windows_intelx86.exeFM0017.wu.txt >NUL
copy RefApp\result.sah testData\result.sah.setiathome_5.27_windows_intelx86.exeFM0017.wu.txt >NUL
echo Done benchmarking.
echo **************************************
echo **************************************
echo Testing results...
echo --------------------------------------
echo KWSN_2.4V_SSE_MB_FFTW.exe:
rescmpv2 testData\result.sah.setiathome_5.27_windows_intelx86.exeFM0017.wu.txt testData\result.sah.KWSN_2.4V_SSE_MB_FFTW.exeFM0017.wu.txt
echo --------------------------------------
echo KWSN_2.4V_SSE_MB.exe:
rescmpv2 testData\result.sah.setiathome_5.27_windows_intelx86.exeFM0017.wu.txt testData\result.sah.KWSN_2.4V_SSE_MB.exeFM0017.wu.txt
echo --------------------------------------
echo Next WU ------------------------------
if not [%1]==[] goto check
Pause
goto end
:check
if not %1 == nopause Pause
:end
